Release Notes and Announcements

scratch-blocks@0.1.0 prepublish: `python build.py && webpack`

  • 1.  scratch-blocks@0.1.0 prepublish: `python build.py && webpack`

    Posted 11-05-2020 00:19

    i am running scratch-blocks at linux terminal

    I got the problem which is

    python build.py && webpack

    scratch-blocks@0.1.0 prepublish: python build.py && webpack

    could you give me a help?

    npm WARN prepublish-on-install As of npm@5, `prepublish` scripts are deprecated. npm WARN prepublish-on-install Use `prepare` for build steps and `prepublishOnly` for upload-only. npm WARN prepublish-on-install See the deprecation note in `npm help scripts` for more information. > scratch-blocks@0.1.0 prepublish /mnt/e/hit and try/scratch/scratch-blocks > python build.py && webpack Traceback (most recent call last): File "build.py", line 39, in <module> raise Exception("Blockly build only compatible with Python 2.x.\n" Exception: Blockly build only compatible with Python 2.x. You are using: 3.8.5 (default, Jul 28 2020, 12:59:40) [GCC 9.3.0] npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! scratch-blocks@0.1.0 prepublish: `python build.py && webpack` npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the scratch-blocks@0.1.0 prepublish script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above. npm ERR! A complete log of this run can be found in: npm ERR! /home/soumitya/.npm/_logs/2020-11-05T05_06_36_269Z-debug.log


    ------------------------------
    jain saniya

    ------------------------------